diff -urN comm-esr24.orig/mozilla/netwerk/base/public/security-prefs.js comm-esr24/mozilla/netwerk/base/public/security-prefs.js
--- comm-esr24.orig/mozilla/netwerk/base/public/security-prefs.js	2014-01-31 21:57:48.000000000 +0100
+++ comm-esr24/mozilla/netwerk/base/public/security-prefs.js	2014-02-18 20:41:22.932447923 +0100
@@ -3,7 +3,7 @@
  * file, You can obtain one at http://mozilla.org/MPL/2.0/. */
 
 pref("security.tls.version.min", 0);
-pref("security.tls.version.max", 1);
+pref("security.tls.version.max", 3);
 pref("security.enable_tls_session_tickets", true);
 pref("security.enable_md5_signatures", false);
 
@@ -14,10 +14,14 @@
 pref("security.ssl.warn_missing_rfc5746",  1);
 pref("security.ssl.enable_false_start", false);
 
-pref("security.ssl3.rsa_rc4_128_md5", true);
-pref("security.ssl3.rsa_rc4_128_sha", true);
-pref("security.ssl3.rsa_fips_des_ede3_sha", true);
-pref("security.ssl3.rsa_des_ede3_sha", true);
+pref("security.ssl3.ecdhe_rsa_aes_128_gcm_sha256", true);
+pref("security.ssl3.ecdhe_rsa_aes_128_sha256", true);
+pref("security.ssl3.dhe_rsa_aes_128_gcm_sha256", true);
+pref("security.ssl3.dhe_rsa_aes_128_sha256", true);
+pref("security.ssl3.rsa_rc4_128_md5", false);
+pref("security.ssl3.rsa_rc4_128_sha", false);
+pref("security.ssl3.rsa_fips_des_ede3_sha", false);
+pref("security.ssl3.rsa_des_ede3_sha", false);
 pref("security.ssl3.dhe_rsa_camellia_256_sha", true);
 pref("security.ssl3.dhe_dss_camellia_256_sha", true);
 pref("security.ssl3.rsa_camellia_256_sha", true);
@@ -25,30 +29,30 @@
 pref("security.ssl3.dhe_dss_camellia_128_sha", true);
 pref("security.ssl3.rsa_camellia_128_sha", true);
 pref("security.ssl3.dhe_rsa_aes_256_sha", true);
-pref("security.ssl3.dhe_dss_aes_256_sha", true);
+pref("security.ssl3.dhe_dss_aes_256_sha", false);
 pref("security.ssl3.rsa_aes_256_sha", true);
 pref("security.ssl3.ecdhe_ecdsa_aes_256_sha", true);
 pref("security.ssl3.ecdhe_ecdsa_aes_128_sha", true);
-pref("security.ssl3.ecdhe_ecdsa_des_ede3_sha", true);
-pref("security.ssl3.ecdhe_ecdsa_rc4_128_sha", true);
+pref("security.ssl3.ecdhe_ecdsa_des_ede3_sha", false);
+pref("security.ssl3.ecdhe_ecdsa_rc4_128_sha", false);
 pref("security.ssl3.ecdhe_rsa_aes_256_sha", true);
 pref("security.ssl3.ecdhe_rsa_aes_128_sha", true);
-pref("security.ssl3.ecdhe_rsa_des_ede3_sha", true);
-pref("security.ssl3.ecdhe_rsa_rc4_128_sha", true);
+pref("security.ssl3.ecdhe_rsa_des_ede3_sha", false);
+pref("security.ssl3.ecdhe_rsa_rc4_128_sha", false);
 pref("security.ssl3.ecdh_ecdsa_aes_256_sha", true);
 pref("security.ssl3.ecdh_ecdsa_aes_128_sha", true);
 pref("security.ssl3.ecdh_ecdsa_des_ede3_sha", true);
-pref("security.ssl3.ecdh_ecdsa_rc4_128_sha", true);
+pref("security.ssl3.ecdh_ecdsa_rc4_128_sha", false);
 pref("security.ssl3.ecdh_rsa_aes_256_sha", true);
 pref("security.ssl3.ecdh_rsa_aes_128_sha", true);
-pref("security.ssl3.ecdh_rsa_des_ede3_sha", true);
-pref("security.ssl3.ecdh_rsa_rc4_128_sha", true);
+pref("security.ssl3.ecdh_rsa_des_ede3_sha", false);
+pref("security.ssl3.ecdh_rsa_rc4_128_sha", false);
 pref("security.ssl3.dhe_rsa_aes_128_sha", true);
-pref("security.ssl3.dhe_dss_aes_128_sha", true);
+pref("security.ssl3.dhe_dss_aes_128_sha", false);
 pref("security.ssl3.rsa_aes_128_sha", true);
-pref("security.ssl3.dhe_rsa_des_ede3_sha", true);
-pref("security.ssl3.dhe_dss_des_ede3_sha", true);
-pref("security.ssl3.rsa_seed_sha", true);
+pref("security.ssl3.dhe_rsa_des_ede3_sha", false);
+pref("security.ssl3.dhe_dss_des_ede3_sha", false);
+pref("security.ssl3.rsa_seed_sha", false);
 
 pref("security.default_personal_cert",   "Ask Every Time");
 pref("security.remember_cert_checkbox_default_setting", true);
diff -urN comm-esr24.orig/mozilla/security/manager/ssl/src/nsNSSComponent.cpp comm-esr24/mozilla/security/manager/ssl/src/nsNSSComponent.cpp
--- comm-esr24.orig/mozilla/security/manager/ssl/src/nsNSSComponent.cpp	2014-01-31 21:57:49.000000000 +0100
+++ comm-esr24/mozilla/security/manager/ssl/src/nsNSSComponent.cpp	2014-02-18 19:40:32.806421648 +0100
@@ -829,6 +829,10 @@
 
 static CipherPref CipherPrefs[] = {
  /* SSL3/TLS cipher suites*/
+ {"security.ssl3.ecdhe_rsa_aes_128_gcm_sha256", TLS_ECDHE_RSA_WITH_AES_128_GCM_SHA256},
+ {"security.ssl3.ecdhe_rsa_aes_128_sha256", TLS_ECDHE_RSA_WITH_AES_128_CBC_SHA256},  
+ {"security.ssl3.dhe_rsa_aes_128_gcm_sha256", TLS_DHE_RSA_WITH_AES_128_GCM_SHA256},
+ {"security.ssl3.dhe_rsa_aes_128_sha256", TLS_DHE_RSA_WITH_AES_128_CBC_SHA256},
  {"security.ssl3.rsa_rc4_128_md5", SSL_RSA_WITH_RC4_128_MD5}, // 128-bit RC4 encryption with RSA and an MD5 MAC
  {"security.ssl3.rsa_rc4_128_sha", SSL_RSA_WITH_RC4_128_SHA}, // 128-bit RC4 encryption with RSA and a SHA1 MAC
  {"security.ssl3.rsa_fips_des_ede3_sha", SSL_RSA_FIPS_WITH_3DES_EDE_CBC_SHA}, // 168-bit Triple DES with RSA and a SHA1 MAC (FIPS)
